Skip to main content
GET
/
api
/
v1
/
agents
/
connections
List Agents Connections
curl --request GET \
  --url https://api.cognee.ai/api/v1/agents/connections \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string<uuid> | null

Filter connections by agent user ID. Only returns connections belonging to this specific agent.

range
enum<string>
default:30d
Available options:
24h,
7d,
30d,
all
status
enum<string> | null
Available options:
active,
inactive,
unknown
include_sources
boolean
default:true
active_only
boolean
default:true
limit
integer
default:50
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response